- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TimingInformation Class Reference

The TimingInformation Class. More...

`#include <OSResult.h>`

Collaboration diagram for TimingInformation:

[legend]
List of all members.

## Public Member Functions
| TimingInformation ()
| Default constructor.
| ~TimingInformation ()
| Class destructor.
bool | IsEqual (TimingInformation *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| TimingInformation ()
| Default constructor.
| ~TimingInformation ()
| Class destructor.
## Public Attributes
int | numberOfTimes
| The number of elements in the time array.
TimeMeasurement ** | time
| An array of time measurements.
Time ** | time
| An array of time measurements.

## Detailed Description

The TimingInformation Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class that provides the timer information that is defined in the OSrL schema.

Definition at line 594 of file OSResult.h.

## Constructor & Destructor Documentation

TimingInformation::TimingInformation | ( |  | ) |

Default constructor.

Definition at line 264 of file OSResult.cpp.

TimingInformation::~TimingInformation | ( |  | ) |

Class destructor.

Definition at line 274 of file OSResult.cpp.

References numberOfTimes, and time.

TimingInformation::TimingInformation | ( |  | ) |

Default constructor.

TimingInformation::~TimingInformation | ( |  | ) |

Class destructor.

## Member Function Documentation

bool TimingInformation::IsEqual | ( | TimingInformation * | that | ) |

A function to check for the equality of two objects.

Definition at line 5754 of file OSResult.cpp.

bool TimingInformation::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 7527 of file OSResult.cpp.

References TimeMeasurement::setRandom(), and time.

## Member Data Documentation

int TimingInformation::numberOfTimes

The number of elements in the time array.

Definition at line 601 of file OSResult.h.

Referenced by OSResult::addTimingInformation(), OSResult::getTimeNumber(), OSResult::getTimeValue(), OSResult::setNumberOfTimes(), OSResult::setTimeNumber(), OSResult::setTimingInformation(), OSrLWriter::writeOSrL(), and ~TimingInformation().

TimeMeasurement** TimingInformation::time

An array of time measurements.

Definition at line 607 of file OSResult.h.

Referenced by OSResult::addTimingInformation(), OSResult::getTimeValue(), OSResult::setNumberOfTimes(), setRandom(), OSResult::setTimingInformation(), OSrLWriter::writeOSrL(), and ~TimingInformation().

Time** TimingInformation::time

An array of time measurements.

Definition at line 285 of file OSResult.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp